
declare module 'elementorInternals' {

    import {frontend} from "elementorModules";
    import Base = frontend.handlers.Base;
    import BaseSettings = frontend.handlers.BaseSettings;

    type ElementsHandler = typeof Base;

    interface ElementsHandlers {
        [key: string]: ElementsHandler;
    }

    // frontend.js:1478
    class ElementsHandlerManager {
        constructor($: JQueryStatic);
        addHandler(HandlerClass: ElementsHandler, options: BaseSettings): void;
        attachHandler(elementName: string, Handlers: ElementsHandler | ElementsHandler[], skin: string): void;
        getHandler(handlerName?: string): null | ElementsHandler;
        getHandlers(handlerName?: string): ElementsHandlers;
        init(): void;
        runReadyTrigger(scope: JQuery.htmlString): void;
    }
}
