
declare module 'elementorModules' {

    namespace frontend.handlers {

        interface BaseSettings {
            $element?: JQuery;
        }

        interface EditorListener {
            event: string;
            to: any;
            callback: Function;
        }

        // frontend-modules.js:4144
        abstract class Base extends ViewModule {
            $element: JQuery;
            isEdit: boolean;
            protected constructor(settings: BaseSettings);
            addEditorListeners(): void;
            findElement(selector: string): JQuery;
            getCurrentDeviceSetting(settingKey: string): any;
            getEditorListeners(): EditorListener[];
            getEditSettings(setting?: string): any;
            getElementSettings(setting?: string): any;
            getElementType(): string;
            getID(): string;
            getModelCID(): string;
            getUniqueHandlerID(cid?: string, $element?: JQuery): string;
            getWidgetType(): string | null;
            initEditorListeners(): void;
            isActive(): boolean;
            onDestroy(): void;
            removeEditorListeners(): void;
        }
    }
}

