<?php
declare(strict_types=1);

namespace Inti\Elementor\Widget;

use Laminas\ServiceManager\PluginManagerInterface;
use Psr\Container\ContainerInterface;

/**
 * Class WidgetPluginManagerFactory
 *
 * @package Inti\Elementor\Widget
 * @author Danijel Fabijan <hipnaba@gmail.com>
 * @link https://bitbucket.org/oktan-nautika/inti-wp-elementor
 */
final class WidgetPluginManagerFactory
{
    public function __invoke(ContainerInterface $container): PluginManagerInterface
    {
        $config = $container->has('config') ? $container->get('config') : [];
        return new WidgetPluginManager($container, $config['elementor_widgets'] ?? []);
    }
}
